{
  "cSpell.words": [
    "apollo",
    "authz",
    "axios",
    "bitspur",
    "cancelable",
    "chromeandroid",
    "cloc",
    "codejamninja",
    "corejs",
    "coreutils",
    "cors",
    "cspell",
    "ctx",
    "dataloader",
    "datamodel",
    "defs",
    "dotenv",
    "dto",
    "ecma",
    "ejs",
    "enums",
    "fastify",
    "favicon",
    "filepath",
    "firstname",
    "fullname",
    "gnumake",
    "gnused",
    "golevelup",
    "gql",
    "graphback",
    "graphql",
    "hasura",
    "href",
    "ico",
    "instrumentations",
    "jaeger",
    "jsx",
    "kauth",
    "keycloak",
    "knex",
    "lang",
    "lastname",
    "localhost",
    "matcher",
    "matchers",
    "middlewares",
    "mongodb",
    "mtime",
    "multiline",
    "multiple",
    "nestjs",
    "nixpkgs",
    "nullable",
    "num",
    "oauth",
    "oauth2",
    "openid",
    "opentelemetry",
    "otel",
    "pino",
    "plusplus",
    "postgres",
    "prisma",
    "prometheus",
    "rebased",
    "redeclare",
    "redis",
    "req",
    "resolvers",
    "risser",
    "schemas",
    "sdk",
    "sdl",
    "stdenv",
    "tsconfig",
    "tsx",
    "typegraphql",
    "userid",
    "userinfo",
    "utf8",
    "vscode",
    "webhook",
    "x",
    "yaml",
    "yarnpkg",
    "yoda"
  ],
  "psi-header.variables": [["projectCreationYear", "2021"]],
  "psi-header.config": {
    "author": "Clay Risser",
    "authorEmail": "email@clayrisser.com",
    "blankLinesAfter": 1,
    "company": "Risser Labs LLC",
    "copyrightHolder": "Risser Labs LLC",
    "creationDateZero": "asIs",
    "forceToTop": true,
    "initials": "CR",
    "license": "Custom"
  },
  "psi-header.license-text": [
    " Licensed under the Apache License, Version 2.0 (the \"License\");",
    " you may not use this file except in compliance with the License.",
    " You may obtain a copy of the License at",
    "",
    "     http://www.apache.org/licenses/LICENSE-2.0",
    "",
    " Unless required by applicable law or agreed to in writing, software",
    " distributed under the License is distributed on an \"AS IS\" BASIS,",
    " WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.",
    " See the License for the specific language governing permissions and",
    " limitations under the License."
  ],
  "psi-header.templates": [
    {
      "language": "*",
      "template": [
        " File: <<filerelativepath>>",
        " Project: <<projectname>>",
        " File Created: <<filecreated('DD-MM-YYYY HH:mm:ss')>>",
        " Author: <<author>> <<<authoremail>>>",
        " -----",
        " Last Modified: <<dateformat('DD-MM-YYYY HH:mm:ss')>>",
        " Modified By: <<author>> <<<authoremail>>>",
        " -----",
        " <<copyrightholder>> (c) Copyright <<yeartoyear(<<projectCreationYear>>, now)>>",
        "",
        "<<licensetext>>"
      ]
    }
  ],
  "psi-header.lang-config": [
    {
      "language": "*",
      "begin": "/**",
      "blankLinesAfter": 1,
      "end": " */",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": " *",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    },
    {
      "language": "makefile",
      "begin": "",
      "blankLinesAfter": 1,
      "end": "",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": "#",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    }
  ],
  "psi-header.changes-tracking": {
    "autoHeader": "autoSave",
    "enforceHeader": true,
    "include": ["javascript", "makefile", "typescript"],
    "isActive": true,
    "modAuthor": "Modified By:",
    "modDate": "Last Modified:",
    "modDateFormat": "dd-MM-yyyy hh:nn:ss",
    "replace": ["Filename:"],
    "updateLicenseVariables": true
  },
  "psi-header.license-reference": {
    "uri": "../LICENSE",
    "uriIsLocalFile": true
  }
}
